Page MenuHomePhabricator

Convert "Show diff" part of Special:Undelete to OOUI
Closed, ResolvedPublic

Description

On Special:Undelete, there are two buttons for preview and diff. These buttons do not have any space between them and the whole page does not use OOUI, like all other UI parts on this special page.

Acceptance criteria:

  • The funtionality of the page has not changed
  • The "View difference" page of Special:Undelete is converted to use OOUI.

The code for this special page is at https://phabricator.wikimedia.org/source/mediawiki/browse/master/includes/specials/SpecialUndelete.php and the buttons are defined in showRevision on lines 473 to 486.

Event Timeline

Nirmos created this task.Nov 10 2017, 10:39 AM
Restricted Application added subscribers: TerraCodes, Aklapper. · View Herald TranscriptNov 10 2017, 10:39 AM
Nirmos triaged this task as Lowest priority.Nov 10 2017, 10:39 AM
rosalieper added a subscriber: rosalieper.

I will mentor this for GCI/17

Florian added a subscriber: Florian.

Imported as: https://codein.withgoogle.com/dashboard/tasks/5668801058177024/

However, the whole UI on that page is not really aligned with the other UI elements of the Special:Undelete page, which uses OOUI. So, what do you think of using this task (which can still be a GCI task I think), to convert the interface to use OOUI. That should be pretty simple I think, too :)

I think that's a good Idea

Florian renamed this task from Add margin between buttons on Special:Undelete to Convert "Show diff" part of Special:Undelete to OOUI.Nov 16 2017, 5:10 PM
Florian updated the task description. (Show Details)

I also updated the GCI task :)

Screenshot (using MediaWiki's "Vector" skin):

I replaced these two buttons and the textarea to OOUI, I'm pushing it to Gerrit. If something's wrong, tell me!

Change 395037 had a related patch set uploaded (by Albert221; owner: Albert221):
[mediawiki/core@master] Replace some Special:Undelete button with OOUI ones

https://gerrit.wikimedia.org/r/395037

Change 395037 merged by jenkins-bot:
[mediawiki/core@master] Replace some Special:Undelete button with OOUI ones

https://gerrit.wikimedia.org/r/395037

Albert221 closed this task as Resolved.Dec 4 2017, 6:27 PM
Albert221 claimed this task.